#include <iostream>

int main() {
	std::ios::sync_with_stdio(false);
	std::cin.tie(NULL);

	int N, L;
	std::cin >> N >> L;

	int temp;
	int out = -1;
	for (int i = 1; i <= N; ++i) {
		std::cin >> temp;
		if (temp <= L) {
			out = i;
			break;
		}
	}
	
	std::cout << out;
	return 0;
}